import { ProColumns } from "@ant-design/pro-components";
import { Image } from "antd";

export const columns = (): ProColumns<any>[] => {
    return [
        {
            title: '封面',
            dataIndex: 'picUrl',
            key: 'picUrl',
            width: 90,
            ellipsis: true,
            align: 'center',
            hideInSearch: true,
            render: (a: any, b: any) => {
               let book = b?.shortBookInfo?.bookInfo || b?.longBookInfo?.bookInfo
              return (
                <div style={{ position: 'relative' }}>
                  <Image
                    src={book?.picUrl}
                    style={{ width: 50 }}
                    onError={(e: any) => {
                      e.target.src = localStorage.getItem('nocover');
                    }}
                  />
                </div>
              );
            },
          },
        {
            title: "书名",
            dataIndex: 'bookName',
            key: "bookName",
            align: "center",
            render: (a: any, b: any) => {
                let book = b?.shortBookInfo?.bookInfo || b?.longBookInfo?.bookInfo
               return book?.bookName
             },
        },
        {
            title: "最近阅读时间",
            dataIndex: 'lastReadingTime',
            key: "lastReadingTime",
            align: "center",
            render: (a: any, b: any) => {
                let book = b?.shortBookInfo || b?.longBookInfo
               return book?.lastReadingTime
             },
        },

    ];
}