import { ActionType, ProTable } from "@ant-design/pro-components"
import { columns } from "./tableConfig"
import { useAjax } from "@/Hook/useAjax"
import { useRef, useState } from "react"
import { Button, Modal } from "antd"
import { loginListOfPage } from "@/services/distribution/MiniAppUser"
type Props = {
    data: {
        appId: number
        id: number
    }
}
const Page: React.FC<Props> = (props) => {
    const [open, setOpen] = useState(false)
    const actionRef = useRef<ActionType>();
    let getList = useAjax((params) => loginListOfPage(params), { type: 'table' })
    return <>
        <Button
            size="small"
            type="link"
            onClick={() => { setOpen(true) }}
        >登录记录</Button>
        <Modal
            open={open}
            footer={false}
            onCancel={()=>{setOpen(false)}}
            title={"登录记录"}
            width={"50%"}
            destroyOnClose
        >
            <ProTable<any, any>
                 actionRef={actionRef}
                 scroll={{ x: true ,y:'50vh'}}
                 headerTitle={false}
                 rowKey={(r) => r.id}
                 search={false}
                params={{
                    appId:props.data.appId,
                    userId:props.data.id
                }}
                request={async (params) => {
                    if (params?.appId) {
                        return await getList.run(params)
                    }
                }}
                columns={columns()}
            // bordered
            />
        </Modal>
    </>

}
export default Page