import { ProColumns } from '@ant-design/pro-components';
import { useModel } from '@umijs/max';

export const columns = (): ProColumns<any>[] => {
  let { getEnum } = useModel('global')
  return [
    {
      title: 'openId',
      dataIndex: 'openId',
      align: 'center',
      width: 70,
      ellipsis: true,
      render: (_, row) => {
        return row?.wechatMiniappUser?.openId
      }
    },
    {
      title: '小说名称',
      dataIndex: 'bookName',
      key: 'bookName',
      align: 'center',
      width: 150,
      ellipsis: true,
      render: (a, b) => {
        return b?.bookInfo?.bookName;
      },
    },
    {
      title: '小说章节名称',
      dataIndex: 'chapterName',
      key: 'chapterName',
      width: 80,
      ellipsis: true,
      align: 'center',
      render: (a, b) => {
        return b?.bookChapterInfo?.chapterName;
      },
    },
    {
      title: '微信小程序名称',
      dataIndex: 'appName',
      key: 'appName',
      width: 120,
      align: 'center',
      ellipsis: true,
      render: (a, b) => {
        return b?.appInfo?.appName;
      },
    },
    {
      title: '分销商名称',
      dataIndex: 'companyName',
      key: 'companyName',
      width: 120,
      align: 'center',
      ellipsis: true,
      render: (a, b) => {
        return b?.distributorInfo?.companyName;
      },
    },
    {
      title: '阅读时间',
      dataIndex: 'createTime',
      key: 'createTime',
      width: 170,
      align: 'center',
      ellipsis: true,
      hideInSearch: true,
    },
    //
    {
      title: '阅读时间',
      dataIndex: 'createTime',
      key: 'createTime',
      width: 170,
      align: 'center',
      ellipsis: true,
      valueType: 'dateRange',
      fieldProps: {
        style: { width: 250 },
      },
      hideInTable: true,
    },
  ];
};
