import { api } from '@/services/api';
import { request } from '@umijs/max';

/**
 * 分销商账号状态更新
 * @param id
 */
export async function apiDistributorInfoUpdateEnabled(params: any) {
  let { id, ...data } = params;
  return request(api + `/bookDistributionPlatform/admin/distributorAccount/updateEnabled/${id}`, {
    method: 'PUT',
    data,
  });
}
/**
 * 分销商账号更新
 * @param id
 * @param companyName   公司名称
 * @param companyDesc   公司描述
 * @param companyAddress   地址
 * @param contactName   姓名
 * @param contactPhone   电话
 * @param contactEmail   邮箱
 * @param remark   备注
 */
export async function apiDistributorInfoUpdate(params: any) {
  let { id, ...data } = params;
  return request(api + `/bookDistributionPlatform/admin/distributorInfo/update/${id}`, {
    method: 'PUT',
    data,
  });
}

/**
 * 分销商账号新增
 * @param companyName   公司名称
 * @param companyDesc   公司描述
 * @param companyAddress   地址
 * @param contactName   姓名
 * @param contactPhone   电话
 * @param contactEmail   邮箱
 * @param remark   备注
 */
export async function apiDistributorInfo(data: any) {
  return request(api + `/bookDistributionPlatform/admin/distributorInfo`, {
    method: 'POST',
    data,
  });
}
/**
 * 分销商账号小程序新增or修改
 * @param id
 * @param distributorId   分销商账号ID
 * @param appId   小程序ID
 * @param wxAppConfigParams   小程序配置信息
 */
export async function apiDistributorInfoWxAppConfigAddOrEdit(data: any) {
  return request(api + `/bookDistributionPlatform/admin/distributorInfo/wxAppConfigAddOrEdit`, {
    method: 'POST',
    data,
  });
}

/**
 * 分销商账号分页列表
 * @param pageNum
 * @param pageSize
 * @param companyName   公司名称
 * @param contactName   姓名
 */
export async function apiDistributorInfoPageList(params: any) {
  return request(api + `/bookDistributionPlatform/admin/distributorInfo/pageList`, {
    method: 'GET',
    params,
  });
}
/**
 * 分销商账号列表
 */
export async function apiDistributorInfoList(params: any) {
  return request(api + `/bookDistributionPlatform/admin/distributorInfo/list`, {
    method: 'GET',
    params,
  });
}

/**
 * 分销商账号详情
 * @param id
 */
export async function apiDistributorInfoGetInfo(id: any) {
  return request(api + `/bookDistributionPlatform/admin/distributorInfo/getInfo/${id}`, {
    method: 'GET',
  });
}
/**
 * 分销商账号小程序配置信息
 * @param distributorId
 */
export async function apiDistributorInfoGetConfigInfo(distributorId: any) {
  return request(
    api + `/bookDistributionPlatform/admin/distributorInfo/getConfigInfo/${distributorId}`,
    {
      method: 'GET',
    },
  );
}

/**
 * 分销商账号删除
 * @param distributorId
 */
export async function apiDistributorInfoRemove(id: any) {
  return request(api + `/bookDistributionPlatform/admin/distributorInfo/remove/${id}`, {
    method: 'DELETE',
  });
}
