import { api } from '@/services/api';
import { request } from '@umijs/max';

interface Prams {
  wechatMiniappId?: string;
  distributorId?: string;
  appType?: 1 | 2;
  bookId?: string;
  startTime?: string;
  endTime?: string;
  userId: string;
  pageNum: string;
  pageSize: string;
}

/**
 * 短篇小说订单记录管理
 */
export async function apiShortBookReadLogListOfPage(params: Prams) {
  return request(api + `/bookDistributionPlatform/admin/shortBookReadLog/listOfPage`, {
    method: 'GET',
    params,
  });
}
/**
 * 长篇小说订单记录管理
 */
export async function apiLongBookReadLogListOfPage(params: Prams) {
  return request(api + `/bookDistributionPlatform/admin/longBookReadLog/listOfPage`, {
    method: 'GET',
    params,
  });
}
